input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.donate-header {
    color: var(--main-color);
    font-size: var(--normal-font-size);
}

.donate-container {
    padding: 3rem;
    background-color: var(--fourth-color);
    position: relative;
    display: grid;
    justify-content: center;
    overflow: hidden;
    left: -100%;
    transition: var(--slide-transition);
}

.donate-container.visible-on-scroll {
    left: 0;
}

.donate-sub-label,
.donate-other-label {
    color: var(--main-color);
    font-size: var(--sub-header-font-size);
    font-weight: var(--bold-font);
    margin: auto 1vw;
    overflow: hidden;
}

.donate-other-label {
    font-size: var(--normal-font-size);
}

.donate-button {
    width: 15vw;
    height: 2.5vw;
    margin: auto 1vw;
    border-radius: 5%;
    font-size: var(--normal-font-size);
    font-weight: var(--bold-font);
    background-color: var(--third-color);
    overflow: hidden;
    cursor: pointer;
    transition: 0.5s;
}

.donate-sub-container {
    position: relative;
    display: flex;
    padding: 1rem 0;
    height: 8vw;
    overflow: hidden;
    margin: auto;
}

.stressed-img {
    width: 3.5vw;
    margin-left: 1rem;
    transition: 0.5s;
    z-index: 2;
    position: relative;
}

.donate-button:hover {
    height: 3.5vw;
    font-size: var(--scale-sub-header-font-size);
    animation: shakeIt 2s infinite;
}

.donate-button:hover + .donate-sub-img-container {
    opacity: 1;
}

.donate-sub-img-container {
    width: 5vw;
    height: 5vw;
    overflow: hidden;
    border-radius: 50%;
    z-index: 1;
    background-color: var(--third-color);
    opacity: 0;
    margin: auto 0;
    transition: 0.5s;
}

.vash-element {
    border-radius: 50% 0 50% 50%;
    width: 1vw;
    background-color: cornflowerblue;
    height: 1vw;
    position: absolute;
    top: 3vw;
    animation-name: fall;
    animation: fall 1s infinite forwards ease-in;
}

.donate-input {
    font-size: 2vw;
    border-radius: 3%;
    background-color: var(--third-color);
    color: var(--main-color);
    height: 4vw;
    padding: 1rem;
    width: 20vw;
    margin: auto;
}

@-webkit-keyframes fall {
    0% {
        top: 3vw;
    }
    100% {
        top: 5vw;
    }
}

@keyframes fall {
    0% {
        top: 3vw;
    }
    100% {
        top: 5vw;
    }
}

@-webkit-keyframes shakeIt {
    0% {
        transform: rotate(5deg);
    }
    25% {
        transform: rotate(-5deg);
    }
    50% {
        transform: rotate(5deg);
    }
    75% {
        transform: rotate(-5deg);
    }
    100% {
        transform: rotate(5deg);
    }
}

@keyframes shakeIt {
    0% {
        transform: rotate(5deg);
    }
    25% {
        transform: rotate(-5deg);
    }
    50% {
        transform: rotate(5deg);
    }
    75% {
        transform: rotate(-5deg);
    }
    100% {
        transform: rotate(5deg);
    }
}
